Subject: cygwin* or cygwin32*
From: [email-masked]
To: [email-masked]
Date: Mon Oct 1 12:45:39 2001

I am building the individual packages from source and am running into errors. The source is that from running setup.exe.

I am trying to cross-compile the packages from linux to cygwin.

When configure is run, (in gettext lets say), I get the following error: 

*************** 
loading cache ./config.cache 
checking for a BSD compatible install... /usr/bin/install -c 
checking whether build environment is sane... yes 
checking whether make sets ${MAKE}... yes 
checking for working aclocal... found 
checking for working autoconf... found 
checking for working automake... found 
checking for working autoheader... found 
checking for working makeinfo... found 
checking host system type... Invalid configuration `i686-pc-cygwin': system `cygwin' not recognized 
<snip> 
*************** 

A quick check in the config.sub reveals this 

<snip> 
# Decode manufacturer-specific aliases for certain operating systems. 

if x"$os" != x"" 
   then 
   case $os in 

<snip> 

| -cygwin32* | -pe* | -psos* | -moss* | -proelf* | -rtems* \ 

<snip> 

Looking at a different config.sub (say binutils), the same line says 

| -cygwin* | -pe* | -psos* | -moss* | -proelf* | -rtems* \ 

I've read through many mail archive posts, and it seems to me (I may be wrong) that cygwin32 is not generally used for a nsme for the OS anymore; just cygwin should be sufficent. That would make the -cygwin* seem more correct, since it takes care of both cases, with or without the 32. If I am missing some important point, kindly let me know, for I am new to all of this. 

The following list are the packages that have the -cgywin32* to anyone it might be of interest: 

                  ./cygwin_src/gdb/readline/support/config.sub 

                  ./cygwin_src/gdbm-1.8.0-3/config.sub 

                  ./cygwin_src/gettext-0_10_35-2pl/config.sub 

                  ./cygwin_src/inetutils-1.3.2-14/config.sub 

                  ./cygwin_src/jpeg-6b-4/config.sub 

                  ./cygwin_src/readline-4.1-2/support/config.sub 

                  ./cygwin_src/squid-2.4-STABLE20010508/cfgaux/config.sub 

                  ./cygwin_src/wget-1.6-1/config.sub 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/